View Issue Details

IDProjectCategoryView StatusLast Update
0000769DraftBugpublic2012-12-19 13:52
Reporterjmaustpc Assigned Toyorik  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platform64 bit OSkubuntuOS Version12.04
Product Version 
Target VersionFixed in Version0.13 
Summary0000769: Draft Dimension crashes FreeCAD after parameter change
DescriptionChanging the text of Draft Dimension from 2d to 3d and back again, crashes FreeCAD.

Also once crashed on changing the z position value of the text.

forum link
https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=2759&p=21085#p21085
Steps To ReproduceIn the file attached to this ticket, if I adjust back and forward between 2d and 3d text in dimension002 and then push the mouse over the model then it crashes, although sometimes I have to do so a few times before the crash happens.
Additional InformationPlatform: Ubuntu 12.04 LTS (64-bit)
Version: 0.13.1213 (Git)
Branch: master
Hash: 9a269907aaf0f274ddea66c576b9a429258bdf1e
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0
TagsNo tags attached.

Activities

2012-07-01 11:34

 

test_crash_with_dimensions.FCStd (11,324 bytes)

wmayer

2012-07-02 09:49

administrator   ~0002255

Be careful with setValues():

The line self.line.numVertices.setValues([3,3]) makes a list of two ints with the values 3 and 3. So far, so good.
The line self.line.numVertices.setValues([4]) only updates the first value of the list but it does NOT decrease the number of elements to 1, it's still 2.
So, we have the list with the values 4 and 3.

Solution:

self.line.numVertices.setValue(4)

or

self.line.numVertices.setValues([4])
self.line.numVertices.setNum(1)

yorik

2012-07-02 10:57

administrator   ~0002257

Thanks for the hint Werner! I think that was the main problem indeed, I committed the change, it seems more stable now, and doesn't crash the example file anymore. I'll keep this open until I check all the related issues...

yorik

2012-12-19 13:52

administrator   ~0002668

I think we can consider this fixed...

Issue History

Date Modified Username Field Change
2012-07-01 11:34 jmaustpc New Issue
2012-07-01 11:34 jmaustpc File Added: test_crash_with_dimensions.FCStd
2012-07-01 12:45 yorik Status new => assigned
2012-07-01 12:45 yorik Assigned To => yorik
2012-07-01 12:48 yorik Project FreeCAD => Draft
2012-07-02 09:49 wmayer Note Added: 0002255
2012-07-02 10:57 yorik Note Added: 0002257
2012-12-19 13:52 yorik Note Added: 0002668
2012-12-19 13:52 yorik Status assigned => closed
2012-12-19 13:52 yorik Resolution open => fixed
2012-12-19 13:52 yorik Fixed in Version => 0.13